ConstructorInfo (Tomcat API Documentation)
Keywords: org.apache.tomcat.util.modeler.ConstructorInfo class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.modeler
Class ConstructorInfo

    java.lang.Object
      org.apache.tomcat.util.modeler.FeatureInfo
          org.apache.tomcat.util.modeler.OperationInfo
              org.apache.tomcat.util.modeler.ConstructorInfo

All Implemented Interfaces:
  java.io.Serializable

    public class ConstructorInfo

extends OperationInfo
implements java.io.Serializable

Internal configuration information for a `Constructor` descriptor.

Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.tomcat.util.modeler.OperationInfo
`impact, parameters, role`

Fields inherited from class org.apache.tomcat.util.modeler.FeatureInfo
`description, info, name, type`

Constructor Summary
`ConstructorInfo()`

Method Summary
`javax.management.MBeanConstructorInfo` | `createConstructorInfo()` Create and return a `ModelMBeanConstructorInfo` object that corresponds to the attribute described by this instance.

Methods inherited from class org.apache.tomcat.util.modeler.OperationInfo
`addParameter, getImpact, getMBeanParameterInfo, getReturnType, getRole, getSignature, setImpact, setReturnType, setRole`

Methods inherited from class org.apache.tomcat.util.modeler.FeatureInfo
`getDescription, getName, getType, setDescription, setName, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConstructorInfo

    public ConstructorInfo()

Method Detail

### createConstructorInfo

    public javax.management.MBeanConstructorInfo createConstructorInfo()

  Create and return a `ModelMBeanConstructorInfo` object that corresponds to the attribute described by this instance.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.